Package com.google.earth.kml._2

# Class PlacemarkType

java.lang.Object
com.google.earth.kml._2.ObjectType
com.google.earth.kml._2.FeatureType
com.google.earth.kml._2.PlacemarkType

public class PlacemarkType extends FeatureType
<p>Java class for PlacemarkType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="PlacemarkType"> <complexContent> <extension base="{http://earth.google.com/kml/2.1}FeatureType"> <sequence> <element ref="{http://earth.google.com/kml/2.1}Geometry" minOccurs="0"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected jakarta.xml.bind.JAXBElement<? extends GeometryType>`
  `geometry`

  ### Fields inherited from class com.google.earth.kml._2.FeatureType

  `address, description, lookAt, metadata, name, open, phoneNumber, region, snippet, styleSelector, styleUrl, timePrimitive, visibility`

  ### Fields inherited from class com.google.earth.kml._2.ObjectType

  `id, targetId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlacemarkType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.xml.bind.JAXBElement<? extends GeometryType>`
  `getGeometry()`
  Gets the value of the geometry property.
  `void`
  `setGeometry(jakarta.xml.bind.JAXBElement<? extends GeometryType> value)`
  Sets the value of the geometry property.

  ### Methods inherited from class com.google.earth.kml._2.FeatureType

  `getAddress, getDescription, getLookAt, getMetadata, getName, getPhoneNumber, getRegion, getSnippet, getStyleSelector, getStyleUrl, getTimePrimitive, isOpen, isVisibility, setAddress, setDescription, setLookAt, setMetadata, setName, setOpen, setPhoneNumber, setRegion, setSnippet, setStyleUrl, setTimePrimitive, setVisibility`

  ### Methods inherited from class com.google.earth.kml._2.ObjectType

  `getId, getTargetId, setId, setTargetId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### geometry

    protected jakarta.xml.bind.JAXBElement<? extends GeometryType> geometry

- ## Constructor Details

  - ### PlacemarkType

    public PlacemarkType()

- ## Method Details

  - ### getGeometry

    public jakarta.xml.bind.JAXBElement<? extends GeometryType> getGeometry()
    Gets the value of the geometry property.
    Returns:
      possible object is `JAXBElement``<``GeometryType``>` `JAXBElement``<``LineStringType``>` `JAXBElement``<``LinearRingType``>` `JAXBElement``<``ModelType``>` `JAXBElement``<``MultiGeometryType``>` `JAXBElement``<``PointType``>` `JAXBElement``<``PolygonType``>`

  - ### setGeometry

    public void setGeometry(jakarta.xml.bind.JAXBElement<? extends GeometryType> value)
    Sets the value of the geometry property.
    Parameters:
      `value` - allowed object is `JAXBElement``<``GeometryType``>` `JAXBElement``<``LineStringType``>` `JAXBElement``<``LinearRingType``>` `JAXBElement``<``ModelType``>` `JAXBElement``<``MultiGeometryType``>` `JAXBElement``<``PointType``>` `JAXBElement``<``PolygonType``>`